Apotek/urls.py
from django.urls import path, include
from .views import createAp, listAp, updateAp, deleteAp

app_name = "Apotek"
urlpatterns = [
    path('createAp', createAp, name="createAp"),
    path('listAp', listAp, name="listAp"),
    path('deleteAp/<id>/', deleteAp, name="deleteAp"),
    path('updateAp/<id>/', updateAp, name="updateAp")
]

alat_medis/urls.py
from django.urls import path, include
from .views import createam, listam, updateam, deleteam

app_name = "am"
urlpatterns = [
    path('createam', createam, name="createam"),
    path('listam', listam, name="listam"),
    path('deleteam/<id>/', deleteam, name="deleteam"),
    path('updateam/<id>/', updateam, name="updateam")
]

balaipengobatan/urls.py
from django.urls import path, include
from .views import createbp, listbp, deletebp, updatebp

app_name = "bp"
urlpatterns = [
    path('createbp', createbp, name="createbp"),
    path('listbp', listbp, name="listbp"),
    path('deletebp/<id>/', deletebp, name="deletebp"),
    path('updatebp/<id>/', updatebp, name="updatebp")
]

farmakami/urls.py
from django.contrib import admin
from django.urls import path,include
from login.views import welcome

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', welcome, name="homepage"),
    path('login/', include(('login.urls', 'login'), namespace='login')),
    path('bp/', include(('balaipengobatan.urls', 'bp'), namespace='bp')),
    path('obat/', include(('obat.urls', 'obat'), namespace='obat')),
    path('am/', include(('alat_medis.urls', 'am'), namespace='am')),
    path('transaksipembelian/', include(('transaksipembelian.urls', 'tp'), namespace='transaksipembelian')),
    path('list_produk_dibeli/', include(('list_produk_dibeli.urls', 'list_produk_dibeli'), namespace='list_produk_dibeli')),
    path('pengantaranfarmasi/', include(('pengantaranfarmasi.urls', 'pengantaranfarmasi'), namespace='pengantaranfarmasi')),
    path('Apotek/', include(('Apotek.urls', 'Apotek'), namespace='Apotek')),
    path('produkapotek/', include(('produkapotek.urls', 'produkapotek'), namespace='produkapotek')),
    path('transaksi_resep/', include(('transaksi_resep.urls', 'transaksi_resep'), namespace='transaksi_resep'))
]

login/urls.py
from django.urls import path, include
from .views import login, register_admin, register_konsumen, register_kurir, register_cs, validate, regchoice, homepage, alamat, hpalamat, logout, profile

app_name = "login"
urlpatterns = [
    path('login', login, name="login"),
    path('regadmin', register_admin, name="regadmin"),
    path('regkonsumen', register_konsumen, name="regkonsumen"),
    path('regkurir', register_kurir, name="regkurir"),
    path('regcs', register_cs, name="regcs"),
    path('regchoice', regchoice, name="regchoice"),
    path('homepage', homepage, name="homepage"),
    path('alamat/<id>/', alamat, name='alamat'),
    path('hpalamat/<id>/', hpalamat, name='hpalamat'),
    path('logout', logout, name='logout'),
    path('profile', profile, name='profile')
    # path('submitalamat/<id>/', submitalamat, name='submitalamat')
]

obat/urls.py
from django.urls import path, include
from .views import createobat, listobat, deleteobat, updateobat

app_name = "obat"
urlpatterns = [
    path('createobat', createobat, name="createobat"),
    path('listobat', listobat, name="listobat"),
    path('deleteobat/<id>/', deleteobat, name="deleteobat"),
    path('updateobat/<id>/', updateobat, name="updateobat")
]

produkapotek/urls.py
from django.urls import path, include
from .views import createprodukapotek, listprodukapotek, updatePa, deletePa

app_name = "produkapotek"
urlpatterns = [
    path('createprodukapotek', createprodukapotek, name="createprodukapotek"),
    path('listprodukapotek', listprodukapotek, name="listprodukapotek"),
    path('deletePa/<id_produk>_<id_apotek>/', deletePa, name="deletePa"),
    path('updatePa/<id_produk>_<id_apotek>/', updatePa, name="updatePa")
    
]

login/forms.py
from django import forms
import datetime

class LoginForm(forms.Form):
    username = forms.CharField(label='Username:', max_length=50)
    password = forms.CharField(label='Password:', max_length=128)

class RegAdmin(forms.Form):
    username = forms.CharField(label='Username', max_length=50)
    password = forms.CharField(label='Password', max_length=128)
    nama_lengkap = forms.CharField(label='Nama Lengkap', max_length=50)
    no_telp = forms.CharField(label='No Telepon', max_length=20)

class RegKonsumen(forms.Form):
    username = forms.CharField(label='Username', max_length=50)
    password = forms.CharField(label='Password', max_length=128)
    nama_lengkap = forms.CharField(label='Nama Lengkap', max_length=50)
    no_telp = forms.CharField(label='No Telepon', max_length=20)
    jk_choices = (("P", "P"), ("L", "L"))
    jenis_kelamin = forms.ChoiceField(choices = jk_choices) 
    # jenis_kelamin = forms.CharField(label='Jenis Kelamin', max_length=1)
    # tanggal_lahir = forms.DateField(label='Tanggal Lahir', widget=forms.SelectDateWidget(empty_label="Nothing"))
    tanggal_lahir = forms.DateField(label='Tanggal Lahir (yyyy-mm-dd)', initial=datetime.date.today)

class alamatForm(forms.Form):
    status = forms.CharField(label='Status Alamat', max_length=20, required = False)
    alamat = forms.CharField(label='Alamat', max_length=100, required = False)

class RegKurir(forms.Form):
    username = forms.CharField(label='Username', max_length=50)
    password = forms.CharField(label='Password', max_length=128)
    nama_lengkap = forms.CharField(label='Nama Lengkap', max_length=50)
    no_telp = forms.CharField(label='No Telepon', max_length=20)
    nama_perusahaan = forms.CharField(label='Nama Perusahaan', max_length=50)

class RegCS(forms.Form):
    username = forms.CharField(label='Username', max_length=50)
    password = forms.CharField(label='Password', max_length=128)
    nama_lengkap = forms.CharField(label='Nama Lengkap', max_length=50)
    no_telp = forms.CharField(label='No Telepon', max_length=20)
    no_sia = forms.CharField(label='No SIA', max_length=20)
    no_ktp = forms.CharField(label='No KTP', max_length=20)

login/views.py
from django.shortcuts import render, reverse, redirect
from django.http import HttpResponseRedirect
from django.urls import reverse
from django.db import connection
from collections import namedtuple
import random


from .forms import LoginForm, RegAdmin, RegKonsumen, RegKurir, RegCS, alamatForm

# Create your views here.

def namedtuplefetchall(cursor):
    "Return all rows from a cursor as a namedtuple"
    desc = cursor.description
    nt_result = namedtuple('Result', [col[0] for col in desc])
    return [nt_result(*row) for row in cursor.fetchall()]

def welcome(request):
     try:
        role = request.session['role']
        return redirect('/login/homepage')
     except:
        pass
     return render(request, "welcome.html")

def alamat(request, id):
     if request.method == "POST":
          status = request.POST.get("status")
          alamat = request.POST.get("alamat")
          print(status)
          print(alamat)
          cursor = connection.cursor()
          sql = "insert into farmakami.alamat_konsumen values(%s, %s, %s)"
          cursor.execute(sql, (id, alamat, status))
          link = '/login/alamat/' + id
          return redirect(link)
     form = alamatForm()
     args = {'form': form, "id":id }
     link = '/login/alamat/' + id
     return render(request, "alamat.html", args)

def hpalamat(request, id):
     return redirect('/login/login')

def login(request):
     message = ''
     if request.method =='POST':
         email = request.POST.get("username")
         password = request.POST.get("password")

         cursor = connection.cursor()

         sql = "select email, password from farmakami.pengguna where email = " + "'" + email + "'" 
         cursor.execute(sql)
         auth = cursor.fetchone()
         
         message = 'Invalid email or password'
         if auth != None:
          if password == auth[1]:
               request.session['email'] = email
               if search_role(email, 'konsumen'):
                    request.session['role'] = 'konsumen'
               elif search_role(email, 'admin_apotek'):
                    request.session['role'] = 'admin_apotek'
               elif search_role(email, 'cs'):
                    request.session['role'] = 'cs'
               elif search_role(email, 'kurir'):
                    request.session['role'] = 'kurir'
               print(request.session['email'])
               print(request.session['role'])
               return redirect('/login/homepage')
           
     form = LoginForm()
     args = {'form': form, 'message' : message }
     return render(request, 'login.html', args)

def regchoice(request):
    return render(request, "register_choice.html")

def validate(request):
    return render(request, "homepage.html")

def register_admin(request):
     if request.method =='POST':
        email = request.POST.get("username")
        password = request.POST.get("password")
        nama_lengkap = request.POST.get("nama_lengkap")
        no_telp = request.POST.get("no_telp")
        role = "admin"

        cursor = connection.cursor()

        sql_count_pengguna = "select count(*) from farmakami.pengguna where email = " + "'" + email + "'" 
        cursor.execute(sql_count_pengguna)
        count_pengguna = cursor.fetchone()

        sql_count_apoteker = "select count(*) from farmakami.apoteker where email = " + "'" + email + "'" 
        cursor.execute(sql_count_apoteker)
        count_apoteker = cursor.fetchone()
        
        sql_apotek = "select id_apotek from farmakami.apotek"
        cursor.execute(sql_apotek)
        apotek = namedtuplefetchall(cursor)
        pilih_apotek = random.choice(apotek)

        if count_pengguna[0] == 0 and count_apoteker[0] == 0 :
             sql_pengguna = "insert into farmakami.pengguna VALUES (%s, %s, %s, %s);"
             cursor.execute(sql_pengguna,(email, no_telp, password, nama_lengkap))
             sql_apoteker = "insert into farmakami.apoteker VALUES ('" + email + "');"
             cursor.execute(sql_apoteker)
             sql_admin = "insert into farmakami.admin_apotek VALUES (%s, %s);"
             cursor.execute(sql_admin,(email, pilih_apotek[0]))

        return redirect('/login/login')
     form = RegAdmin()
     args = {'form': form}
     return render(request, 'register.html', args)

def register_konsumen(request):
     message = ""
     if request.method =='POST':
         email = request.POST.get("username")
         password = request.POST.get("password")
         nama_lengkap = request.POST.get("nama_lengkap")
         no_telp = request.POST.get("no_telp")
         jenis_kelamin = request.POST["jenis_kelamin"]
         print(jenis_kelamin)
         tanggal_lahir = request.POST.get("tanggal_lahir")
         print(tanggal_lahir)
         role = "konsumen"

         cursor = connection.cursor()

         sql_count_pengguna = "select count(*) from farmakami.pengguna where email = " + "'" + email + "'" 
         cursor.execute(sql_count_pengguna)
         count_pengguna = cursor.fetchone()

         sql_count_konsumen = "select count(*) from farmakami.konsumen where email = " + "'" + email + "'" 
         cursor.execute(sql_count_konsumen)
         count_konsumen = cursor.fetchone()


         sumid = "select count(*) from farmakami.konsumen"
         cursor.execute(sumid)
         sumidfix = cursor.fetchone()[0]
         sql_last_id = "select id_konsumen from farmakami.konsumen limit " + str(sumidfix) + " offset " + str((sumidfix-1)) + ""
         cursor.execute(sql_last_id)
         last_id = cursor.fetchone()
         last_id = int(last_id[0][1:])
         last_id = last_id + 1
         fix_id = "P" + str(last_id)
         print(fix_id)
         message = 'Invalid email or password'

         if count_pengguna[0] == 0 and count_konsumen[0] == 0 :
             sql_pengguna = "insert into farmakami.pengguna VALUES (%s, %s, %s, %s);"
             cursor.execute(sql_pengguna,(email, no_telp, password, nama_lengkap))
             sql_konsumen = "insert into farmakami.konsumen VALUES (%s, %s, %s, %s);"
             cursor.execute(sql_konsumen,(fix_id, email, jenis_kelamin, tanggal_lahir))
             link = '/login/alamat/' + fix_id
             return redirect(link)
     form = RegKonsumen()
     args = {'form': form, 'message':message}
     return render(request, 'register.html', args)

def register_kurir(request):
     message = ""
     if request.method =='POST':
          email = request.POST.get("username")
          password = request.POST.get("password")
          nama_lengkap = request.POST.get("nama_lengkap")
          no_telp = request.POST.get("no_telp")
          nama_perusahaan = request.POST.get("nama_perusahaan")
          role = "kurir"

          cursor = connection.cursor()
          sql_found_email = "select email from farmakami.PENGGUNA WHERE email = '"+ email +"' ;"
          cursor.execute(sql_found_email)
          email_pengguna = cursor.fetchone()
          if email_pengguna == None:
               sql_count_pengguna = "select count(*) from farmakami.kurir" 
               cursor.execute(sql_count_pengguna)
               sumidfix = cursor.fetchone()[0]

               sql_count_kurir = "select id_kurir from farmakami.kurir limit " + str(sumidfix) + " offset " + str((sumidfix-1)) + ""
               cursor.execute(sql_count_kurir)
               last_id = cursor.fetchone()
               last_id = int(last_id[0][1:])
               last_id = last_id + 1
               fix_id = " K" + str(last_id)



               sumid = "select count(*) from farmakami.kurir"
               cursor.execute(sumid)
               sumidfix = cursor.fetchone()[0]
               test = "K" + str(sumidfix)
               sql_test = "select count(*) from farmakami.kurir where id_kurir='"+ test +"'"
               cursor.execute(sql_test)
               hasil = cursor.fetchone()[0]
               message = 'Invalid email or password'
               while(hasil != 0):
                         sumidfix = sumidfix + 1
                         test = "K" + str(sumidfix)
                         sql_test = "select count(*) from farmakami.kurir where id_kurir ='" + test + "'"
                         cursor.execute(sql_test)
                         hasil = cursor.fetchone()[0]
               fix_id = "K" + str(sumidfix)
               sql_pengguna = "insert into farmakami.pengguna VALUES (%s, %s, %s, %s);"
               cursor.execute(sql_pengguna,(email, no_telp, password, nama_lengkap))
               sql_kurir = "insert into farmakami.kurir VALUES (%s, %s, %s);"
               cursor.execute(sql_kurir,(fix_id, email, nama_perusahaan))
               return redirect('/login/login')
          else :
               message = 'Email already exist'
     form = RegKurir()
     args = {'form': form, 'message':message}
     return render(request, 'register.html', args)


def register_cs(request):
     message = ""
     if request.method =='POST':
          email = request.POST.get("username")
          password = request.POST.get("password")
          nama_lengkap = request.POST.get("nama_lengkap")
          no_telp = request.POST.get("no_telp")
          no_ktp = request.POST.get("no_ktp")
          no_sia = request.POST.get("no_sia")
          role = "cs"

          cursor = connection.cursor()
          sql_found_cs = "select no_ktp from farmakami.cs where no_ktp='"+ no_ktp +"';"
          cursor.execute(sql_found_cs)
          print(cursor.fetchone())
          hasil_cs = cursor.fetchone()
          print(hasil_cs)
          if hasil_cs == None:
               cursor = connection.cursor()
               sql_found_email = "select email from farmakami.PENGGUNA WHERE email = '"+ email +"' ;"
               cursor.execute(sql_found_email)
               email_pengguna = cursor.fetchone()
               if email_pengguna == None:
                    cursor = connection.cursor()

login/templates/hp_all.html
{% extends "b.html" %}

{% block content %}

<h1 class="display-4">Homepage</h1>
<p class="lead font-italic">FarmaKami Indonesia</p>
<hr class="my-4">

<p class="h5">Profile:</p>
<a href="{% url 'login:profile' %}" class="btn btn-outline-primary" role="button">Profil Saya</a>
<a href="{% url 'login:logout' %}" class="btn btn-outline-primary" role="button">Logout</a>

<br><br><br>

<p class="h5">Balai Pengobatan & Apotek:</p>
<a href="{% url 'bp:createbp' %}" class="btn btn-outline-primary" role="button">Buat Balai Pengobatan</a>
<a href="{% url 'bp:listbp' %}" class="btn btn-outline-primary" role="button">Daftar Balai Pengobatan</a>
<a href="{% url 'Apotek:createAp' %}" class="btn btn-outline-primary" role="button">Buat Apotek</a>
<a href="{% url 'Apotek:listAp' %}" class="btn btn-outline-primary" role="button">Daftar Apotek</a>


<br><br><br>

<p class="h5">Transaksi Pembelian dan Transaksi Resep:</p>
<a href="{% url 'transaksipembelian:createTP' %}" class="btn btn-outline-primary" role="button">Buat Transaksi Pembelian</a>
<a href="{% url 'transaksipembelian:listTP' %}" class="btn btn-outline-primary" role="button">Daftar Transaksi Pembelian</a>
<a href="{% url 'transaksi_resep:createTR' %}" class="btn btn-outline-primary" role="button">Buat Transaksi Resep</a>
<a href="{% url 'transaksi_resep:listTR' %}" class="btn btn-outline-primary" role="button">Daftar Transaksi Resep</a>

<br><br><br>

<p class="h5">Produk-Apotek:</p>
<a href="{% url 'produkapotek:createprodukapotek' %}" class="btn btn-outline-primary" role="button">Buat Produk-Apotek</a>
<a href="{% url 'produkapotek:listprodukapotek' %}" class="btn btn-outline-primary" role="button">Daftar Produk-Apotek</a>


<br><br><br>

<p class="h5">List Produk Dibeli:</p>
<a href="{% url 'list_produk_dibeli:createListPD' %}" class="btn btn-outline-primary" role="button">Buat List Produk Dibeli</a>
<a href="{% url 'list_produk_dibeli:listPD' %}" class="btn btn-outline-primary" role="button">Daftar Produk Dibeli</a>

<br><br><br>

<p class="h5">Pengantaran Farmasi</p>
<a href="{% url 'pengantaranfarmasi:createPF' %}" class="btn btn-outline-primary" role="button">Buat Pengantaran Farmasi</a>
<a href="{% url 'pengantaranfarmasi:listPF' %}" class="btn btn-outline-primary" role="button">Daftar Pengantaran Farmasi</a>

<br><br><br>

<p class="h5">Obat dan Alat Medis</p>
<a href="{% url 'obat:createobat' %}" class="btn btn-outline-primary" role="button">Buat Obat</a>
<a href="{% url 'obat:listobat' %}" class="btn btn-outline-primary" role="button">Daftar Obat</a>
<a href="{% url 'am:createam' %}" class="btn btn-outline-primary" role="button">Buat Alat Medis</a>
<a href="{% url 'am:listam' %}" class="btn btn-outline-primary" role="button">Daftar Alat Medis </a>

<br><br><br>




{% endblock content %}

login/templates/hp_cs.html
{% extends "b.html" %}

{% block content %}

<h1 class="display-4">Homepage</h1>
<p class="lead font-italic">FarmaKami Indonesia</p>
<hr class="my-4">

<p class="h5">Profile:</p>
<a href="{% url 'login:profile' %}" class="btn btn-outline-primary" role="button">Profil Saya</a>
<a href="{% url 'login:logout' %}" class="btn btn-outline-primary" role="button">Logout</a>

<br><br><br>

<p class="h5">Balai Pengobatan & Apotek:</p>
<a href="{% url 'bp:listbp' %}" class="btn btn-outline-primary" role="button">Daftar Balai Pengobatan</a>
<a href="{% url 'Apotek:listAp' %}" class="btn btn-outline-primary" role="button">Daftar Apotek</a>


<br><br><br>

<p class="h5">Transaksi Pembelian dan Transaksi Resep:</p>
<a href="{% url 'transaksipembelian:createTP' %}" class="btn btn-outline-primary" role="button">Buat Transaksi Pembelian</a>
<a href="{% url 'transaksipembelian:listTP' %}" class="btn btn-outline-primary" role="button">Daftar Transaksi Pembelian</a>
<a href="{% url 'transaksi_resep:createTR' %}" class="btn btn-outline-primary" role="button">Buat Transaksi Resep</a>
<a href="{% url 'transaksi_resep:listTR' %}" class="btn btn-outline-primary" role="button">Daftar Transaksi Resep</a>

<br><br><br>

<p class="h5">Produk-Apotek:</p>
<a href="{% url 'produkapotek:listprodukapotek' %}" class="btn btn-outline-primary" role="button">Daftar Produk-Apotek</a>


<br><br><br>

<p class="h5">List Produk Dibeli:</p>
<a href="{% url 'list_produk_dibeli:listPD' %}" class="btn btn-outline-primary" role="button">Daftar Produk Dibeli</a>

<br><br><br>

<p class="h5">Pengantaran Farmasi</p>
<a href="{% url 'pengantaranfarmasi:listPF' %}" class="btn btn-outline-primary" role="button">Daftar Pengantaran Farmasi</a>

<br><br><br>

<p class="h5">Obat dan Alat Medis</p>
<a href="{% url 'obat:createobat' %}" class="btn btn-outline-primary" role="button">Buat Obat</a>
<a href="{% url 'obat:listobat' %}" class="btn btn-outline-primary" role="button">Daftar Obat</a>
<a href="{% url 'am:createam' %}" class="btn btn-outline-primary" role="button">Buat Alat Medis</a>
<a href="{% url 'am:listam' %}" class="btn btn-outline-primary" role="button">Daftar Alat Medis </a>

<br><br><br>




{% endblock content %}

login/templates/hp_konsumen.html
{% extends "b.html" %}

{% block content %}

<h1 class="display-4">Homepage</h1>
<p class="lead font-italic">FarmaKami Indonesia</p>
<hr class="my-4">

<p class="h5">Profile:</p>
<a href="{% url 'login:profile' %}" class="btn btn-outline-primary" role="button">Profil Saya</a>
<a href="{% url 'login:logout' %}" class="btn btn-outline-primary" role="button">Logout</a>

<br><br><br>

<p class="h5">Balai Pengobatan & Apotek:</p>
<a href="{% url 'bp:listbp' %}" class="btn btn-outline-primary" role="button">Daftar Balai Pengobatan</a>
<a href="{% url 'Apotek:listAp' %}" class="btn btn-outline-primary" role="button">Daftar Apotek</a>


<br><br><br>

<p class="h5">Transaksi Pembelian dan Transaksi Resep:</p>
<a href="{% url 'transaksipembelian:createTP' %}" class="btn btn-outline-primary" role="button">Buat Transaksi Pembelian</a>
<a href="{% url 'transaksipembelian:listTP' %}" class="btn btn-outline-primary" role="button">Daftar Transaksi Pembelian</a>
<a href="{% url 'transaksi_resep:listTR' %}" class="btn btn-outline-primary" role="button">Daftar Transaksi Resep</a>

<br><br><br>

<p class="h5">Produk-Apotek:</p>
<a href="{% url 'produkapotek:listprodukapotek' %}" class="btn btn-outline-primary" role="button">Daftar Produk-Apotek</a>


<br><br><br>

<p class="h5">List Produk Dibeli:</p>
<a href="{% url 'list_produk_dibeli:listPD' %}" class="btn btn-outline-primary" role="button">Daftar Produk Dibeli</a>

<br><br><br>

<p class="h5">Pengantaran Farmasi</p>
<a href="{% url 'pengantaranfarmasi:listPF' %}" class="btn btn-outline-primary" role="button">Daftar Pengantaran Farmasi</a>

<br><br><br>

<p class="h5">Obat dan Alat Medis</p>
<a href="{% url 'obat:listobat' %}" class="btn btn-outline-primary" role="button">Daftar Obat</a>
<a href="{% url 'am:listam' %}" class="btn btn-outline-primary" role="button">Daftar Alat Medis </a>

<br><br><br>




{% endblock content %}

login/templates/hp_kurir.html
{% extends "b.html" %}

{% block content %}

<h1 class="display-4">Homepage</h1>
<p class="lead font-italic">FarmaKami Indonesia</p>
<hr class="my-4">

<p class="h5">Profile:</p>
<a href="{% url 'login:profile' %}" class="btn btn-outline-primary" role="button">Profil Saya</a>
<a href="{% url 'login:logout' %}" class="btn btn-outline-primary" role="button">Logout</a>

<br><br><br>

<p class="h5">Balai Pengobatan & Apotek:</p>
<a href="{% url 'bp:listbp' %}" class="btn btn-outline-primary" role="button">Daftar Balai Pengobatan</a>
<a href="{% url 'Apotek:listAp' %}" class="btn btn-outline-primary" role="button">Daftar Apotek</a>


<br><br><br>

<p class="h5">Transaksi Pembelian dan Transaksi Resep:</p>
<a href="{% url 'transaksipembelian:listTP' %}" class="btn btn-outline-primary" role="button">Daftar Transaksi Pembelian</a>
<a href="{% url 'transaksi_resep:listTR' %}" class="btn btn-outline-primary" role="button">Daftar Transaksi Resep</a>

<br><br><br>

<p class="h5">Produk-Apotek:</p>
<a href="{% url 'produkapotek:listprodukapotek' %}" class="btn btn-outline-primary" role="button">Daftar Produk-Apotek</a>


<br><br><br>

<p class="h5">List Produk Dibeli:</p>
<a href="{% url 'list_produk_dibeli:listPD' %}" class="btn btn-outline-primary" role="button">Daftar Produk Dibeli</a>

<br><br><br>

<p class="h5">Pengantaran Farmasi</p>
<a href="{% url 'pengantaranfarmasi:listPF' %}" class="btn btn-outline-primary" role="button">Daftar Pengantaran Farmasi</a>

<br><br><br>

<p class="h5">Obat dan Alat Medis</p>
<a href="{% url 'obat:listobat' %}" class="btn btn-outline-primary" role="button">Daftar Obat</a>
<a href="{% url 'am:listam' %}" class="btn btn-outline-primary" role="button">Daftar Alat Medis </a>

<br><br><br>




{% endblock content %}

login/templates/register_choice.html
{% extends "b.html" %}

{% block content %}

<h1 class="display-4">Register as:</h1>
<p class="lead font-italic">FarmaKami Indonesia</p>
<hr class="my-4">

<a href="{% url 'login:regadmin' %}" class="btn btn-outline-primary" role="button">Admin Apotek</a>
<a href="{% url 'login:regkonsumen' %}" class="btn btn-outline-primary" role="button">Konsumen</a>
<a href="{% url 'login:regkurir' %}" class="btn btn-outline-primary" role="button">Kurir</a>
<a href="{% url 'login:regcs' %}" class="btn btn-outline-primary" role="button">CS</a>

{% endblock content %}

login/templates/welcome.html
{% extends "b.html" %}

{% block content %}

<h1 class="display-4">Welcome!</h1>
<p class="lead font-italic">FarmaKami Indonesia</p>
<hr class="my-4">

<a href="{% url 'login:login' %}" class="btn btn-outline-primary" role="button">Login</a>
<a href="{% url 'login:regchoice' %}" class="btn btn-outline-primary" role="button">Register</a>

{% endblock content %}